## kamera 16.08.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)
project(kamera)

# KDE Application Version, managed by release script
set (KDE_APPLICATIONS_VERSION_MAJOR "16")
set (KDE_APPLICATIONS_VERSION_MINOR "08")
set (KDE_APPLICATIONS_VERSION_MICRO "3")
set(KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")
set(PROJECT_VERSION ${KDE_APPLICATIONS_VERSION})

find_package(ECM REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${CMAKE_SOURCE_DIR})
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings)
include(FindPkgConfig)
include(FeatureSummary)

find_package(Qt5 5.3 REQUIRED COMPONENTS Core)
find_package(KF5 REQUIRED COMPONENTS
    ConfigWidgets
    XmlGui
    KIO
    I18n
    Config
    DocTools)

include(CMakePushCheckState)
include(CheckSymbolExists)

# Find gphoto2 library
find_package(Gphoto2 REQUIRED)
# Check version >= 2.5.0
cmake_push_check_state()
set(CMAKE_REQUIRED_INCLUDES "${GPHOTO2_INCLUDE_DIRS}")
set(CMAKE_REQUIRED_LIBRARIES "${GPHOTO2_LIBRARIES}")
check_symbol_exists(gp_port_info_get_name "gphoto2.h" HAVE_GPHOTO2_5)
cmake_pop_check_state()

if(HAVE_GPHOTO2_5)
    message(STATUS "Detected libgphoto2 2.5.0 or newer")
else()
    message(STATUS "Detected libgphoto2 2.4 or older")
endif()

include(ConfigureChecks.cmake)

configure_file(config-kamera.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-kamera.h)

set(CMAKE_CXX_FLAGS_DEBUG, "${CMAKE_CXX_FLAGS_DEBUG} -Wall -Wunused -Wextra -DDEBUG_KAMERA_KIO -DDEBUG_KAMERA_KCONTROL")

add_subdirectory( kcontrol )
add_subdirectory( kioslave )
add_subdirectory( doc )

install(FILES
    solid_camera.desktop
    DESTINATION ${DATA_INSTALL_DIR}/solid/actions)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kamera (4:16.08.3-1) unstable; urgency=medium

  * New upstream release (16.08.3)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 23 Nov 2016 20:55:07 +0100

kamera (4:16.08.2-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * New upstream release (16.08.2)

 -- Maximiliano Curia <maxy@debian.org>  Mon, 17 Oct 2016 23:07:48 +0200

kamera (4:16.08.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Stop forcing the local installation to debian/tmp, letting the package
    directory as install place.
    - remove kamera.install, no more used now

 -- Pino Toscano <pino@debian.org>  Thu, 01 Sep 2016 07:38:05 +0200

kamera (4:16.04.2-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 22 Jun 2016 16:18:51 +0200

kamera (4:16.04.1-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8
  * Refresh patches

  [ Maximiliano Curia ]
  * New upstream release (15.12.2).
  * Replace the "Historical name" ddeb-migration by its "Modern, clearer" replacement dbgsym-migration.
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields
  * New patch: use_pkgconfig_for_gphoto2.patch (Closes: #821324)
  * Force building against GPHOTO2_5, the test was failing
  * Add missing install file

 -- Maximiliano Curia <maxy@debian.org>  Wed, 25 May 2016 11:48:56 +0200

=== debian/control ===
Source: kamera
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Eshat Cakar <info@eshat.de>,
           Sune Vuorela <sune@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules,
               kdoctools-dev,
               kio-dev,
               libgphoto2-dev,
               libkf5config-dev,
               libkf5configwidgets-dev,
               libkf5doctools-dev,
               libkf5i18n-dev,
               libkf5kio-dev,
               libkf5xmlgui-dev,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.3~)
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/kde/kdegraphics/kamera
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/kamera.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/kamera.git

Package: kamera
Architecture: any
Section: graphics
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: digital camera support for KDE applications
 This package allows any KDE application to access and manipulate pictures on
 a digital camera.
 .
 This package is part of the KDE graphics module.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_auto_configure:
	$(overridden_command) -- -DHAVE_GPHOTO2_5=1

override_dh_strip:
	$(overridden_command) --dbgsym-migration='kamera-dbg (<= 4:15.12.1-1~~)'

## kamera 16.12.3

=== debian/changelog ===
kamera (4:16.12.3-0ubuntu1) zesty; urgency=low

  [ Darin Miller ]
  * New upstream release (16.12.2)

  [ José Manuel Santamaría Lema ]
  * New upstream release (16.12.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 10 Mar 2017 21:25:21 +0000

kamera (4:16.12.1-0ubuntu1) zesty; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://

  [ Rik Mills ]
  * New upstream release (16.12.0)
  * Update build deps to use new KF5 style names
  * New upstream release (16.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 19 Jan 2017 16:14:03 +0000

=== debian/control ===
Source: kamera
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Eshat Cakar <info@eshat.de>,
           Sune Vuorela <sune@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libgphoto2-dev,
               libkf5config-dev (>= 5.31.0~),
               libkf5configwidgets-dev (>= 5.31.0~),
               libkf5doctools-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               libkf5xmlgui-dev (>= 5.31.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~)
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/kde/kdegraphics/kamera
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kamera
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kamera

Package: kamera
Architecture: any
Section: graphics
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: digital camera support for KDE applications
 This package allows any KDE application to access and manipulate pictures on
 a digital camera.
 .
 This package is part of the KDE graphics module.

=== debian/rules ===
--- 
+++ 
@@ -5,5 +5,8 @@
 override_dh_auto_configure:
 	$(overridden_command) -- -DHAVE_GPHOTO2_5=1
 
+override_dh_auto_install:
+	$(overridden_command) --destdir=debian/tmp
+
 override_dh_strip:
 	$(overridden_command) --dbgsym-migration='kamera-dbg (<= 4:15.12.1-1~~)'

## kamera 17.04.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 project(kamera)
 
 # KDE Application Version, managed by release script
-set (KDE_APPLICATIONS_VERSION_MAJOR "16")
-set (KDE_APPLICATIONS_VERSION_MINOR "08")
+set (KDE_APPLICATIONS_VERSION_MAJOR "17")
+set (KDE_APPLICATIONS_VERSION_MINOR "04")
 set (KDE_APPLICATIONS_VERSION_MICRO "3")
 set(KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")
 set(PROJECT_VERSION ${KDE_APPLICATIONS_VERSION})
@@ -58,3 +58,7 @@
     DESTINATION ${DATA_INSTALL_DIR}/solid/actions)
 
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
+ki18n_install(po)
+if (KF5DocTools_FOUND)
+ kdoctools_install(po)
+endif()

=== debian/changelog ===
kamera (4:17.04.3-0ubuntu1) artful; urgency=low

  * New upstream release (17.04.1)
  * Install translations and add Breaks/Replaces against kde-l10n
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 18 Aug 2017 08:29:18 +0100

## kamera 17.08.3

=== debian/changelog ===
kamera (4:17.08.3-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * New upstream release.
  * Adjust l10npkgs_firstversion_ok to the version where kde-l10n will
    drop translations.
  * Bump Standards-Version to 4.1.1, no changes required.
  * Simplify watch file, and switch it to https.

 -- Pino Toscano <pino@debian.org>  Sun, 26 Nov 2017 12:39:00 +0100

kamera (4:17.08.0-1) experimental; urgency=medium

  * New upstream release (17.08.0)
  * Bump Standards-Version to 4.1.0.
  * Update upstream metadata
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Tue, 12 Sep 2017 22:41:15 +0200

kamera (4:17.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Aug 2017 09:32:31 +0000

kamera (4:17.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Jul 2017 10:18:45 +0000

kamera (4:17.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2017 12:20:27 +0000

kamera (4:17.04.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 May 2017 18:12:22 +0000

kamera (4:17.04.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Apr 2017 13:02:52 +0000

kamera (4:16.12.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Mar 2017 13:46:57 +0000

kamera (4:16.12.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Feb 2017 16:56:37 +0000

kamera (4:16.12.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Jan 2017 13:14:53 +0000

kamera (4:16.12.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Dec 2016 13:24:19 +0000

kamera (4:16.08.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 21 Nov 2016 13:53:05 +0000

kamera (4:16.08.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2016 13:38:47 +0000

kamera (4:16.08.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 16 Sep 2016 13:05:36 +0000

kamera (4:16.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 17 Aug 2016 11:47:40 +0000

kamera (4:16.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Jul 2016 11:39:19 +0000

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:16.04.3-5~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_auto_configure:
	$(overridden_command) -- -DHAVE_GPHOTO2_5=1

override_dh_strip:
	$(overridden_command) --dbgsym-migration='kamera-dbg (<= 4:15.12.1-1~~)'

## kamera 17.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 # KDE Application Version, managed by release script
 set (KDE_APPLICATIONS_VERSION_MAJOR "17")
-set (KDE_APPLICATIONS_VERSION_MINOR "04")
+set (KDE_APPLICATIONS_VERSION_MINOR "12")
 set (KDE_APPLICATIONS_VERSION_MICRO "3")
 set(KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")
 set(PROJECT_VERSION ${KDE_APPLICATIONS_VERSION})

=== debian/changelog ===
kamera (4:17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:24:10 +0000

kamera (4:17.12.2-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * New upstream release (17.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 22 Feb 2018 16:55:46 +0000

kamera (4:17.08.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:02:44 +0000

=== debian/control ===
--- 
+++ 
@@ -26,6 +26,8 @@
 Architecture: any
 Section: graphics
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: ${kde-l10n:all}
+Replaces: ${kde-l10n:all}
 Description: digital camera support for KDE applications
  This package allows any KDE application to access and manipulate pictures on
  a digital camera.

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:17.03.90-0~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_auto_configure:
	$(overridden_command) -- -DHAVE_GPHOTO2_5=1

override_dh_auto_install:
	$(overridden_command) --destdir=debian/tmp

override_dh_strip:
	$(overridden_command) --dbgsym-migration='kamera-dbg (<= 4:15.12.1-1~~)'

## kamera 18.04.3

=== debian/changelog ===
kamera (4:18.04.3-0ubuntu1) cosmic; urgency=medium

  * New upstream release (18.03.80)
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)
  * New upstream release (18.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 10 Aug 2018 09:14:53 +0100

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                libkf5kio-dev (>= 5.31.0~),
                libkf5xmlgui-dev (>= 5.31.0~),
                pkg-kde-tools (>= 0.12),
-               qtbase5-dev (>= 5.6.1~)
+               qtbase5-dev (>= 5.6.1~),
 Standards-Version: 3.9.8
 Homepage: https://projects.kde.org/projects/kde/kdegraphics/kamera
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kamera

## kamera 18.12.3

=== debian/changelog ===
kamera (4:18.12.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 07 Mar 2019 13:25:54 +0000

kamera (4:18.12.2-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 17 Feb 2019 13:13:16 +0000

kamera (4:18.12.1-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 10 Jan 2019 14:08:38 +0000

kamera (4:18.12.0-0ubuntu1) disco; urgency=medium

  * New upstream beta release (18.11.80)
  * New upstream release (18.12.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 05 Jan 2019 16:47:16 +0000

kamera (4:18.08.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.08.3)
  * Merge Debian changes. Remaining changes:
    - d/rules: l10npkgs_firstversion_ok := 4:17.03.90-0~
    - Refresh patch.
    - Kubuntu Vcs fields.
    - Bumped build deps.

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 10 Dec 2018 18:37:56 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Eshat Cakar <info@eshat.de>,
            Sune Vuorela <sune@debian.org>,
-           Maximiliano Curia <maxy@debian.org>
+           Maximiliano Curia <maxy@debian.org>,
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
                extra-cmake-modules (>= 5.31.0~),
@@ -17,7 +17,7 @@
                libkf5xmlgui-dev (>= 5.31.0~),
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.6.1~),
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Homepage: https://projects.kde.org/projects/kde/kdegraphics/kamera
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kamera
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kamera

## kamera 19.04.3

=== debian/changelog ===
kamera (4:19.04.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 11 Jul 2019 14:11:33 +0100

kamera (4:19.04.2-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 08 Jun 2019 15:01:31 +0100

kamera (4:19.04.1-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.1)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 12 May 2019 20:55:34 +0100

kamera (4:19.04.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 26 Apr 2019 20:40:57 +0100

=== debian/rules ===
--- 
+++ 
@@ -8,8 +8,5 @@
 override_dh_auto_configure:
 	$(overridden_command) -- -DHAVE_GPHOTO2_5=1
 
-override_dh_auto_install:
-	$(overridden_command) --destdir=debian/tmp
-
 override_dh_strip:
 	$(overridden_command) --dbgsym-migration='kamera-dbg (<= 4:15.12.1-1~~)'

## kamera 19.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,16 @@
-cmake_minimum_required(VERSION 2.8.12)
+cmake_minimum_required(VERSION 3.1.0)
 project(kamera)
 
 # KDE Application Version, managed by release script
-set (KDE_APPLICATIONS_VERSION_MAJOR "17")
+set (KDE_APPLICATIONS_VERSION_MAJOR "19")
 set (KDE_APPLICATIONS_VERSION_MINOR "12")
 set (KDE_APPLICATIONS_VERSION_MICRO "3")
 set(KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")
 set(PROJECT_VERSION ${KDE_APPLICATIONS_VERSION})
+
+# At least C++14 is required
+set(CMAKE_CXX_STANDARD 14)
+set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
 find_package(ECM REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${CMAKE_SOURCE_DIR})
@@ -57,6 +61,10 @@
     solid_camera.desktop
     DESTINATION ${DATA_INSTALL_DIR}/solid/actions)
 
+install(FILES
+    org.kde.kamera.metainfo.xml
+    DESTINATION ${KDE_INSTALL_METAINFODIR})
+
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
 ki18n_install(po)
 if (KF5DocTools_FOUND)

=== debian/changelog ===
kamera (4:19.12.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Mar 2020 16:06:07 +0000

kamera (4:19.12.2-2) unstable; urgency=medium

  * Team upload.
  * Re-upload as source only so it can migrate to testing.
  * Use secure URL in copyright's Source.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 20 Feb 2020 07:31:59 +0100

kamera (4:19.12.2-1) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * Switch debian/watch to new KDE release service URL.
  * Update Vcs-* control fields to Salsa.
  * New upstream release (19.12.2).
  * Update build dependencies according to upstream build system:
    - cmake >= 3.1.0
  * Bump debhelper from old 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).
  * Drop kde-l10n and dbgsym migration rules, not needed anymore after 2
    stable releases.
  * Borrow minimal upstream signing key from k3b.
  * Switch from dhmk to dh --with kf5.
  * Add hardening=+all build hardening flag.
  * Bump Standards-Version to 4.5.0:
    - Add Rules-Requires-Root: no.
  * Refresh debian/copyright.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 11 Feb 2020 11:20:15 +0100

=== debian/control ===
Source: kamera
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Eshat Cakar <info@eshat.de>,
           Sune Vuorela <sune@debian.org>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 3.1.0~),
               debhelper-compat (= 12),
               extra-cmake-modules,
               libgphoto2-dev,
               libkf5config-dev,
               libkf5configwidgets-dev,
               libkf5doctools-dev,
               libkf5i18n-dev,
               libkf5kio-dev,
               libkf5xmlgui-dev,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.3~),
Standards-Version: 4.5.0
Homepage: https://projects.kde.org/projects/kde/kdegraphics/kamera
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kamera
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kamera.git
Rules-Requires-Root: no

Package: kamera
Architecture: any
Section: graphics
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: digital camera support for KDE applications
 This package allows any KDE application to access and manipulate pictures on
 a digital camera.
 .
 This package is part of the KDE graphics module.

## kamera 20.08.1

=== debian/changelog ===
kamera (4:20.08.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Sep 2020 13:50:21 +0100

kamera (4:20.08.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 Aug 2020 19:44:01 +0100

kamera (4:20.04.3-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.04.3)

 -- Rik Mills <rikmills@kde.org>  Fri, 10 Jul 2020 07:34:36 +0100

kamera (4:20.04.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (20.04.2).
  * Bump dh compatibility level to 13.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 15 Jun 2020 09:52:43 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
            Sune Vuorela <sune@debian.org>,
            Maximiliano Curia <maxy@debian.org>,
 Build-Depends: cmake (>= 3.1.0~),
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                extra-cmake-modules,
                libgphoto2-dev,
                libkf5config-dev,

## kamera 20.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,18 +2,18 @@
 project(kamera)
 
 # KDE Application Version, managed by release script
-set (KDE_APPLICATIONS_VERSION_MAJOR "19")
-set (KDE_APPLICATIONS_VERSION_MINOR "12")
-set (KDE_APPLICATIONS_VERSION_MICRO "3")
-set(KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")
-set(PROJECT_VERSION ${KDE_APPLICATIONS_VERSION})
+set (RELEASE_SERVICE_VERSION_MAJOR "20")
+set (RELEASE_SERVICE_VERSION_MINOR "12")
+set (RELEASE_SERVICE_VERSION_MICRO "0")
+set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
+set(PROJECT_VERSION ${RELEASE_SERVICE_VERSION})
 
 # At least C++14 is required
 set(CMAKE_CXX_STANDARD 14)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
 find_package(ECM REQUIRED NO_MODULE)
-set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${CMAKE_SOURCE_DIR})
+set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_SOURCE_DIR})
 include(KDEInstallDirs)
 include(KDECMakeSettings)
 include(KDECompilerSettings)

=== kioslave/CMakeLists.txt ===

########### next target ###############

add_definitions(-DTRANSLATION_DOMAIN=\"kio5_kamera\")

set(kio_kamera_PART_SRCS kamera.cpp )

add_library(kio_kamera MODULE ${kio_kamera_PART_SRCS})

include_directories(${GPHOTO2_INCLUDE_DIRS} ${CMAKE_BINARY_DIR})

target_link_libraries(kio_kamera
    Qt5::Core
    KF5::KIOCore
    KF5::I18n
    ${GPHOTO2_LIBRARIES}
    )

install(TARGETS kio_kamera  DESTINATION ${PLUGIN_INSTALL_DIR} )

########### install files ###############

install( FILES camera.protocol  DESTINATION  ${SERVICES_INSTALL_DIR} )

=== debian/changelog ===
kamera (4:20.12.0-1) unstable; urgency=medium

  * New upstream release (20.12.0).
  * Bump Standards-Version to 4.5.1, no change required.
  * Update project homepage.
  * Refresh upstream metadata:
    - add Bug-Database and Bug-Submit
    - drop Contact and Name fields already present in machine readable
      copyright
    - move VCS URLs to invent.kde.org
  * Refresh copyright information.
  * Add salsa-ci.yml as GitLab CI/CD pipeline.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 14 Dec 2020 23:54:03 +0100

=== debian/control ===
--- 
+++ 
@@ -17,8 +17,8 @@
                libkf5xmlgui-dev,
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.3~),
-Standards-Version: 4.5.0
-Homepage: https://projects.kde.org/projects/kde/kdegraphics/kamera
+Standards-Version: 4.5.1
+Homepage: https://apps.kde.org/en/kamera
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kamera
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kamera.git
 Rules-Requires-Root: no

## kamera 20.12.3

=== debian/changelog ===
kamera (4:20.12.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Mar 2021 15:16:43 +0000

kamera (4:20.12.2-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Feb 2021 09:51:08 +0000

kamera (4:20.12.1-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 20 Jan 2021 23:08:18 +0000

## kamera 21.04.0

=== debian/changelog ===
kamera (4:21.04.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 29 Apr 2021 01:31:41 +0100

## kamera 21.08.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
-cmake_minimum_required(VERSION 3.1.0)
+cmake_minimum_required(VERSION 3.16.0)
 project(kamera)
 
 # KDE Application Version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "20")
-set (RELEASE_SERVICE_VERSION_MINOR "12")
+set (RELEASE_SERVICE_VERSION_MAJOR "21")
+set (RELEASE_SERVICE_VERSION_MINOR "08")
 set (RELEASE_SERVICE_VERSION_MICRO "0")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 set(PROJECT_VERSION ${RELEASE_SERVICE_VERSION})
@@ -20,8 +20,10 @@
 include(FindPkgConfig)
 include(FeatureSummary)
 
-find_package(Qt5 5.3 REQUIRED COMPONENTS Core)
-find_package(KF5 REQUIRED COMPONENTS
+set(KF5_MIN_VERSION    "5.83.0")
+
+find_package(Qt5 5.15 REQUIRED COMPONENTS Core)
+find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
     ConfigWidgets
     XmlGui
     KIO

=== debian/changelog ===
kamera (4:21.08.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 15:47:37 +0900

kamera (4:21.04.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.0).
  * Borrow minimal upstream signing key from k3b.
  * Drop Kubuntu from maintainer name.
  * Removed Eshat Cakar, Maximiliano Curia from the uploaders, thanks
    for your work on the package!
  * Added myself to the uploaders.

 -- Norbert Preining <norbert@preining.info>  Tue, 27 Apr 2021 18:18:34 +0900

=== debian/control ===
Source: kamera
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Norbert Preining <norbert@preining.info>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake (>= 3.16.0~),
               debhelper-compat (= 13),
               extra-cmake-modules,
               libgphoto2-dev,
               libkf5config-dev (>= 5.83.0~),
               libkf5configwidgets-dev (>= 5.83.0~),
               libkf5doctools-dev (>= 5.83.0~),
               libkf5i18n-dev (>= 5.83.0~),
               libkf5kio-dev (>= 5.83.0~),
               libkf5xmlgui-dev (>= 5.83.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.15~),
Standards-Version: 4.5.1
Homepage: https://apps.kde.org/en/kamera
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kamera
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kamera.git
Rules-Requires-Root: no

Package: kamera
Architecture: any
Section: graphics
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: digital camera support for KDE applications
 This package allows any KDE application to access and manipulate pictures on
 a digital camera.
 .
 This package is part of the KDE graphics module.

## kamera 21.08.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "21")
 set (RELEASE_SERVICE_VERSION_MINOR "08")
-set (RELEASE_SERVICE_VERSION_MICRO "0")
+set (RELEASE_SERVICE_VERSION_MICRO "1")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 set(PROJECT_VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
kamera (4:21.08.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.1)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 22:31:09 +0100

kamera (4:21.08.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Aug 2021 08:59:23 +0100

kamera (4:21.07.90-0ubuntu1) impish; urgency=medium

  * New upstream (RC) release (21.07.90)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Aug 2021 12:52:03 +0100

kamera (4:21.07.80-0ubuntu1) impish; urgency=medium

  * New upstream (beta) release (21.07.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 18 Jul 2021 20:31:23 +0100

kamera (4:21.04.3-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jul 2021 11:40:13 +0100

kamera (4:21.04.2-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Jun 2021 10:36:34 +0100

kamera (4:21.04.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 May 2021 09:03:22 +0100

## kamera 21.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,16 +3,13 @@
 
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "21")
-set (RELEASE_SERVICE_VERSION_MINOR "08")
-set (RELEASE_SERVICE_VERSION_MICRO "1")
+set (RELEASE_SERVICE_VERSION_MINOR "12")
+set (RELEASE_SERVICE_VERSION_MICRO "3")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 set(PROJECT_VERSION ${RELEASE_SERVICE_VERSION})
 
-# At least C++14 is required
-set(CMAKE_CXX_STANDARD 14)
-set(CMAKE_CXX_STANDARD_REQUIRED ON)
-
-find_package(ECM REQUIRED NO_MODULE)
+set(KF5_MIN_VERSION    "5.85.0")
+find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_SOURCE_DIR})
 include(KDEInstallDirs)
 include(KDECMakeSettings)
@@ -20,7 +17,6 @@
 include(FindPkgConfig)
 include(FeatureSummary)
 
-set(KF5_MIN_VERSION    "5.83.0")
 
 find_package(Qt5 5.15 REQUIRED COMPONENTS Core)
 find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
@@ -54,7 +50,8 @@
 configure_file(config-kamera.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-kamera.h)
 
 set(CMAKE_CXX_FLAGS_DEBUG, "${CMAKE_CXX_FLAGS_DEBUG} -Wall -Wunused -Wextra -DDEBUG_KAMERA_KIO -DDEBUG_KAMERA_KCONTROL")
-
+remove_definitions( -DQT_NO_CAST_FROM_ASCII )
+remove_definitions( -DQT_NO_CAST_FROM_BYTEARRAY)
 add_subdirectory( kcontrol )
 add_subdirectory( kioslave )
 add_subdirectory( doc )

=== kioslave/CMakeLists.txt ===

########### next target ###############

add_definitions(-DTRANSLATION_DOMAIN=\"kio5_kamera\")

set(kio_kamera_PART_SRCS kamera.cpp )

add_library(kio_kamera MODULE ${kio_kamera_PART_SRCS})

include_directories(${GPHOTO2_INCLUDE_DIRS} ${CMAKE_BINARY_DIR})

target_link_libraries(kio_kamera
    Qt::Core
    KF5::KIOCore
    KF5::I18n
    KF5::ConfigCore
    ${GPHOTO2_LIBRARIES}
    )

install(TARGETS kio_kamera  DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf5/kio )

=== debian/changelog ===
kamera (4:21.12.3-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Mar 2022 10:07:37 +0000

kamera (4:21.12.2-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key

  [ Rik Mills ]
  * New upstream release (21.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Feb 2022 07:14:08 +0000

kamera (4:21.12.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 10:21:59 +0000

kamera (4:21.12.0-0ubuntu1) jammy; urgency=medium

  [ Rik Mills ]
  * New upstream release (21.12.0)
  * Set maintainer to Kubuntu Developers.

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Dec 2021 11:18:53 +0000

kamera (4:21.11.90-0ubuntu2) jammy; urgency=medium

  * Add Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Nov 2021 19:02:52 +0000

kamera (4:21.11.90-0ubuntu1) jammy; urgency=medium

  * New upstream (RC) release (21.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Nov 2021 13:14:19 +0000

kamera (4:21.11.80-0ubuntu1) jammy; urgency=medium

  * New upstream (beta) release (21.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 21 Nov 2021 18:23:30 +0000

kamera (4:21.08.3-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (21.08.2)

  [ Rik Mills ]
  * New upstream release (21.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 15 Nov 2021 09:37:25 +0000

=== debian/control ===
Source: kamera
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Eshat Cakar <info@eshat.de>,
           Sune Vuorela <sune@debian.org>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 3.1.0~),
               debhelper-compat (= 13),
               extra-cmake-modules,
               libgphoto2-dev,
               libkf5config-dev,
               libkf5configwidgets-dev,
               libkf5doctools-dev,
               libkf5i18n-dev,
               libkf5kio-dev,
               libkf5xmlgui-dev,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.3~),
Standards-Version: 4.5.1
Homepage: https://apps.kde.org/en/kamera
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kamera
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kamera
Rules-Requires-Root: no

Package: kamera
Architecture: any
Section: graphics
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: digital camera support for KDE applications
 This package allows any KDE application to access and manipulate pictures on
 a digital camera.
 .
 This package is part of the KDE graphics module.

## kamera 22.08.1

=== debian/changelog ===
kamera (4:22.08.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Sep 2022 07:37:07 +0100

kamera (4:22.08.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 24 Aug 2022 09:47:18 +0100

kamera (4:22.04.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jul 2022 09:24:40 +0100

kamera (4:22.04.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jun 2022 07:58:29 +0100

kamera (4:22.04.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 May 2022 20:55:30 +0100

kamera (4:22.04.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 May 2022 06:44:58 +0100

## kamera 22.12.0

=== debian/changelog ===
kamera (4:22.12.0-2) unstable; urgency=medium

  * Upload with a correctly released changelog.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Dec 2022 16:04:29 +0100

kamera (4:22.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.08.3).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.1, no change required.
  * New upstream release (22.11.90).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (22.12.0).
  * Add systemsettings as a Recommends for the KCM.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Dec 2022 00:12:49 +0100

kamera (4:21.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (21.12.3).
  * Bump Standards-Version to 4.6.0, no change required.
  * Added myself to the uploaders.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 06 Mar 2022 20:00:57 +0100

=== debian/control ===
Source: kamera
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake (>= 3.16.0~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.96.0~),
               libgphoto2-dev,
               libkf5config-dev (>= 5.96.0~),
               libkf5configwidgets-dev (>= 5.96.0~),
               libkf5doctools-dev (>= 5.96.0~),
               libkf5i18n-dev (>= 5.96.0~),
               libkf5kio-dev (>= 5.96.0~),
               libkf5xmlgui-dev (>= 5.96.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.15~),
Standards-Version: 4.6.1
Homepage: https://apps.kde.org/en/kamera
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kamera
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kamera.git
Rules-Requires-Root: no

Package: kamera
Architecture: any
Section: graphics
Depends: systemsettings,
         ${misc:Depends},
         ${shlibs:Depends}
Description: digital camera support for KDE applications
 This package allows any KDE application to access and manipulate pictures on
 a digital camera.
 .
 This package is part of the KDE graphics module.

## kamera 22.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16.0)

# KDE Application Version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "22")
set (RELEASE_SERVICE_VERSION_MINOR "12")
set (RELEASE_SERVICE_VERSION_MICRO "3")
set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
set(PROJECT_VERSION ${RELEASE_SERVICE_VERSION})

project(kamera VERSION ${PROJECT_VERSION})

set(KF5_MIN_VERSION    "5.96.0")
find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_SOURCE_DIR})
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings)
include(FindPkgConfig)
include(FeatureSummary)
include(ECMDeprecationSettings)


find_package(Qt${QT_MAJOR_VERSION} 5.15 REQUIRED COMPONENTS Core)
if (QT_MAJOR_VERSION STREQUAL "6")
    find_package(Qt6Core5Compat)
endif()

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    ConfigWidgets
    XmlGui
    KIO
    I18n
    Config
    )

find_package(KF5DocTools ${KF5_MIN_VERSION})
set_package_properties(KF5DocTools PROPERTIES DESCRIPTION
    "Tools to generate documentation"
    TYPE OPTIONAL
)

include(CMakePushCheckState)
include(CheckSymbolExists)

# Find gphoto2 library
find_package(Gphoto2 REQUIRED)
# Check version >= 2.5.0
cmake_push_check_state()
set(CMAKE_REQUIRED_INCLUDES "${GPHOTO2_INCLUDE_DIRS}")
set(CMAKE_REQUIRED_LIBRARIES "${GPHOTO2_LIBRARIES}")
check_symbol_exists(gp_port_info_get_name "gphoto2.h" HAVE_GPHOTO2_5)
cmake_pop_check_state()

if(HAVE_GPHOTO2_5)
    message(STATUS "Detected libgphoto2 2.5.0 or newer")
else()
    message(STATUS "Detected libgphoto2 2.4 or older")
endif()

include(ConfigureChecks.cmake)

configure_file(config-kamera.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-kamera.h)

set(CMAKE_CXX_FLAGS_DEBUG, "${CMAKE_CXX_FLAGS_DEBUG} -Wall -Wunused -Wextra")
remove_definitions( -DQT_NO_CAST_FROM_ASCII )
remove_definitions( -DQT_NO_CAST_FROM_BYTEARRAY)

ecm_set_disabled_deprecation_versions(QT 5.15.2
    KF 5.91.0
)


add_subdirectory( kcontrol )
add_subdirectory( kioslave )

ki18n_install(po)
if (KF5DocTools_FOUND)
    kdoctools_install(po)
    add_subdirectory(doc)
endif()


install(FILES
    solid_camera.desktop
    DESTINATION ${KDE_INSTALL_DATADIR}/solid/actions)

install(FILES
    org.kde.kamera.metainfo.xml
    DESTINATION ${KDE_INSTALL_METAINFODIR})

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kamera (4:22.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 01 Mar 2023 11:57:45 +0100

kamera (4:22.12.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.1).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.2, no change required.
  * Add Albert Astals Cid’s master key to upstream signing keys.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Jan 2023 22:33:49 +0100

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                libkf5xmlgui-dev (>= 5.96.0~),
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.15~),
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://apps.kde.org/en/kamera
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kamera
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kamera.git
@@ -26,9 +26,7 @@
 Package: kamera
 Architecture: any
 Section: graphics
-Depends: systemsettings,
-         ${misc:Depends},
-         ${shlibs:Depends}
+Depends: systemsettings, ${misc:Depends}, ${shlibs:Depends},
 Description: digital camera support for KDE applications
  This package allows any KDE application to access and manipulate pictures on
  a digital camera.

## kamera 23.08.0

=== debian/changelog ===
kamera (4:23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 12:51:17 +0100

kamera (4:23.07.90-0ubuntu1) mantic; urgency=medium

  * New upstream (beta) release (23.07.80)
  * New upstream (RC) release (23.07.90)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:31:16 +0100

kamera (4:23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:43:39 +0100

kamera (4:23.04.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.1)
  * Add libkf5kcmutils-dev to Build-Depends
  * New upstream release (23.04.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 11:54:35 +0100

kamera (4:22.12.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Mar 2023 00:35:23 +0000

kamera (4:22.12.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.2)

 -- Simon Quigley <tsimonq2@kubuntu.org>  Sat, 11 Feb 2023 14:12:27 -0600

kamera (4:22.12.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jan 2023 11:12:16 +0000

kamera (4:22.12.0-2ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Update upstream signing key.

 -- Rik Mills <rikmills@kde.org>  Mon, 19 Dec 2022 10:35:15 +0000

kamera (4:22.12.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Dec 2022 19:06:20 +0000

kamera (4:22.11.90-0ubuntu1) lunar; urgency=medium

  * New upstream (RC) release (22.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Nov 2022 16:02:46 +0000

kamera (4:22.11.80-0ubuntu1) lunar; urgency=medium

  * New upstream (beta) release (22.11.80)

 -- Rik Mills <rikmills@kde.org>  Mon, 14 Nov 2022 10:48:18 +0000

kamera (4:22.08.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.08.2)
  * New upstream release (22.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Nov 2022 11:06:20 +0000

## kamera 23.08.1

=== debian/changelog ===
kamera (4:23.08.1-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Sep 2023 11:56:24 +0100

=== debian/control ===
Source: kamera
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake (>= 3.16.0~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.96.0~),
               libgphoto2-dev,
               libkf5config-dev (>= 5.96.0~),
               libkf5configwidgets-dev (>= 5.96.0~),
               libkf5doctools-dev (>= 5.96.0~),
               libkf5i18n-dev (>= 5.96.0~),
               libkf5kcmutils-dev,
               libkf5kio-dev (>= 5.96.0~),
               libkf5xmlgui-dev (>= 5.96.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.15~),
Standards-Version: 4.6.1
Homepage: https://apps.kde.org/en/kamera
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kamera
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kamera
Rules-Requires-Root: no

Package: kamera
Architecture: any
Section: graphics
Depends: systemsettings,
         ${misc:Depends},
         ${shlibs:Depends}
Description: digital camera support for KDE applications
 This package allows any KDE application to access and manipulate pictures on
 a digital camera.
 .
 This package is part of the KDE graphics module.

## kamera 23.08.4

=== debian/changelog ===
kamera (4:23.08.4-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.4)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 13 Dec 2023 10:12:39 +0000

kamera (4:23.08.3-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Nov 2023 11:32:00 +0000

kamera (4:23.08.2-1ubuntu1) noble; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Update upstream signing key.

 -- Rik Mills <rikmills@kde.org>  Fri, 27 Oct 2023 13:11:15 +0100

kamera (4:23.08.2-1) unstable; urgency=medium

  * Team upload.

  [ Jesse Rhodes ]
  * New upstream release (23.08.1).
  * Update build-deps with info from cmake.
  * Update lintian override.
  * New upstream release (23.08.2).

 -- Jesse Rhodes <jesse@sney.ca>  Wed, 25 Oct 2023 10:04:42 -0400

kamera (4:23.08.2-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:28:16 +0100
